{{- if not .Values.existingSecret.enabled -}}
apiVersion: v1
kind: Secret
metadata:
  name: {{ include "hifive.fullname" . }}
  labels:
    app.kubernetes.io/name: {{ include "hifive.name" . }}
    helm.sh/chart: {{ include "hifive.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
type: Opaque
data:
  APPS_H5_DB_PW: {{ .Values.postgresql.postgresqlPassword | b64enc | quote }}
  APPS_H5_EMAIL_SMTP_PASSWORD: {{ .Values.email.smtp_settings.password | b64enc | quote }}
  APPS_H5_EMAIL_SMTP_USERNAME: {{ .Values.email.smtp_settings.user_name | b64enc | quote }}
  APPS_H5_LDAP_PW: {{ .Values.ldap.password | b64enc | quote }}
  APPS_H5_LDAP_USERNAME: {{ .Values.ldap.username | b64enc | quote }}
  AWS_ACCESS_KEY_ID: {{ .Values.loadDatabaseBackup.awsAccessKey | b64enc | quote }}
  AWS_SECRET_ACCESS_KEY: {{ .Values.loadDatabaseBackup.awsSecretKey | b64enc | quote }}
  GOOGLE_AUTH_ID: {{ .Values.auth.google_client_id | b64enc | quote }}
  GOOGLE_AUTH_SECRET: {{ .Values.auth.google_client_secret | b64enc | quote }}
  SLACK_WEBHOOK_URL: {{ .Values.slack_webhook_url | b64enc | quote }}
{{- end }}
